Creates a new parameter collection.
POST
v1/accounts/{accountId}/groups/{groupId}/collections
Creates a new collection for associating with parameters.
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/parameters/v1/accounts/{accountId}/groups/{groupId}/collections |
| Authentication Context | user context required |
| Required OAuth Scopes | data:create data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| Content-Type* string | Must be application/json |
| Region string | The region the hub’s data is provisioned in.
Currently supports US, EMEA, AUS, IND, DEU, JPN, CAN, and GBR. Default is US. |
* Required
Request
URI Parameters
| accountId string: UUID or string: b.UUID | The Autodesk Forma hub ID. |
| groupId string | The group ID. Currently, only one group is supported, and group id is equal to hub id. (Supporting multiple groups is considered for future enhancement.) |
Request
Body Structure
The data for creating a new parameter collection
| collectionId string | ID of the collection. It is optional, and will generate a new UUID if omitted, by default. |
| title string | The collection title. |
| description string | The collection description. |
Response
HTTP Status Code Summary
| 201 Created | Successfully created the new collection |
| 400 Bad Request | The request could not be understood by the server due to malformed syntax. |
| 401 Unauthorized | Request has not been applied because it lacks valid authentication credentials for the target resource. |
| 403 Forbidden | The server understood the request but refuses to authorize it. |
| 404 Not Found | The resource cannot be found. |
| 406 Not Acceptable | The server cannot produce a response matching the list of acceptable values defined in the request. |
| 409 Conflict | The request could not be completed due to a conflict with the current state of the target resource. May occur when Parameter collection with id/title provided already exists in this hub/group |
| 410 | Access to the target resource is no longer available. |
| 429 Too Many Requests | User has sent too many requests in a given amount of time. |
| 500 Internal Server Error | An unexpected error occurred on the server. |
| 503 Service Unavailable | Server is not ready to handle the request. |
Response
Body Structure (201)
| collectionId string | ID of the collection. |
| title string | The collection title. |
| description string | The collection description. |
Example
Successfully Created a Collection (201)
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/accounts/009777bb-e1e5-4577-9800-0789677e4616/groups/009777bb-e1e5-4577-9800-0789677e4616/collections' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{
"title": "Cool Parameter Collection",
"description": "My parameters for Cool Project 1"
}'
Show More
Response
{
"collectionId": "a9974bd0-546d-4cba-a434-cdea5fb70bf8",
"title": "Cool Parameter Collection",
"description": "My parameters for Cool Project 1"
}